Subject: Re: [Sigtran] SCTP Payload Protocol ID for IUA & DUA

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 29 Jul 2005 01:35:20 -0600

Michael,

Yes, the wording in that entire section is absurd.  It should be replaced
with the wording from V5UA (See section 8.1 in that document).

--brian

On Fri, 29 Jul 2005, Michael Mentz wrote:

> Thanks Brian,
> 
> Pretty much what I thought, PPID to be used for identifying payload
> monitoring purposes - ala Ethereal, rather than any form of multiplexing
> as the name suggests.
> 
> I have no problem with a separate SCTP association either, that would be
> the way to go, if we need to separate them, do it at the SCTP
> association level.  
> My query was on the fact that the DUA spec seems to suggest that when
> IUA and DUA are running on the same SCTP association, some way of
> determining whether the message is for IUA or DUA is required.. This
> suggests a multiplex UAs approach which I don't believe is necessary
> given DUA is just IUA extension. 
> 
> I've been reading that sentence over and over trying to decide why the
> statement was put in there as I can't come up with a good reason! (sorry
> if this subject is being repeated maybe in earlier threads, or I am
> flogging it a bit) ..
> 
> The line....
> "The User Adaptation peer MAY use the Payload Protocol Identifier as a
> way of determining whether the message is for IUA or DUA"
> 
> Cheers,
> Mike
> 

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran